package org.jeecg.modules.apiservice;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.bean.LoginReq;

public interface LoginApiService {

    //小程序-登录接口
    Result<?> login(LoginReq loginReq);


    //获取用户协议
    Result<?> getUserAgreement();

    //获取隐私政策
    Result<?> getPrivacyPolicy();

    //获取联系电话
    Result<?> getPhone();

    //获取联系微信
    Result<?> getWechat();

    //获取折扣
    Result<?> getDiscount();

    //获取套餐列表
    Result<?> getPackageList();

}
